import { GraphQLSchema, GraphQLResolveInfo } from 'graphql';
import { Operation } from './types';
export declare function buildInfo(rootFieldName: string, operation: Operation, schema: GraphQLSchema, info?: GraphQLResolveInfo | string): GraphQLResolveInfo;
export declare function buildInfoForAllScalars(rootFieldName: string, schema: GraphQLSchema, operation: Operation): GraphQLResolveInfo;
export declare function buildInfoFromFragment(rootFieldName: string, schema: GraphQLSchema, operation: Operation, query: string): GraphQLResolveInfo;
export declare function addFragmentToInfo(info: GraphQLResolveInfo, fragment: string): GraphQLResolveInfo;
/**
 * Generates a sub info based on the provided path. If provided path is not included in the selection set, the function returns null.
 * @param info GraphQLResolveInfo
 * @param path string
 * @param fragment string | undefined
 */
export declare function makeSubInfo(info: GraphQLResolveInfo, path: string, fragment?: string): GraphQLResolveInfo | null;
